ftp_nlist
ftp_put
FTP Functions
PHP Manual

# ftp_pasv

Turns passive mode on or off

### Description

bool ftp_pasv ( resource `$ftp_stream` , bool `$pasv` )

ftp_pasv turns on or off passive mode. In passive mode, data connections are initiated by the client, rather than by the server. It may be needed if the client is behind firewall.

Please note that ftp_pasv can only be called after a successfull login or otherwise it will fail.

### Parameters

`ftp_stream`

  The link identifier of the FTP connection.

`pasv`

  If `TRUE`, the passive mode is turned on, else it's turned off.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 ftp_pasv example

`<?php
$file = 'somefile.txt';
$remote_file = 'readme.txt';
// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// turn passive mode on
ftp_pasv($conn_id, true);
// upload a file
if (ftp_put($conn_id, $remote_file, $file, FTP_ASCII)) {
echo "successfully uploaded $file\n";
} else {
echo "There was a problem while uploading $file\n";
}
// close the connection
ftp_close($conn_id);
?>`